# Hammerwatch Anniversary Edition 1.0.3
# BID: D147CAEF2BC74574

MASTER_WRITE:
  # Rewrite "v_fps_limit 30" to 99
  -
    type: bytes
    main_offset: 0xE028B5
    value_type: uint16
    value: 0x3939
  # Change egl Interval to lock game by default to 30 FPS
  -
    type: asm_a64
    main_offset: 0x141580
    instructions: [
      [mov, w1, 2]
    ]
  -
    type: asm_a64
    main_offset: 0x1415A8
    instructions: [
      [mov, w1, 2]
    ]
